Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::LockerLock< Locker > Class Template Reference

An adapter to hide the type of the given Locker. More...

`#include <sauce/internal/locker_factory.h>`

Inheritance diagram for sauce::internal::LockerLock< Locker >:

## Public Member Functions
| LockerLock (sauce::auto_ptr< Locker > locker)

## Detailed Description

### template<typename Locker>
class sauce::internal::LockerLock< Locker >

An adapter to hide the type of the given Locker.

The documentation for this class was generated from the following file:

- sauce/internal/locker_factory.h